commit:     8b3dcff539a2d35f47a246c55aa41bfa85e101f4
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri May 30 01:18:12 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri May 30 01:19:24 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8b3dcff5

dev-python/magic-wormhole: Bump to 0.19.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/magic-wormhole/Manifest                 |  1 +
 .../magic-wormhole/magic-wormhole-0.19.1.ebuild    | 75 ++++++++++++++++++++++
 2 files changed, 76 insertions(+)

diff --git a/dev-python/magic-wormhole/Manifest 
b/dev-python/magic-wormhole/Manifest
index 5ed91f3881be..778328ec5973 100644
--- a/dev-python/magic-wormhole/Manifest
+++ b/dev-python/magic-wormhole/Manifest
@@ -1,2 +1,3 @@
 DIST magic-wormhole-0.18.0.tar.gz 289799 BLAKE2B 
ff786e3247dcc382fa35175d6439c6273b420968100cc6e54a06e365b8d6db5a9a5145878d4025f51fe59cf75e18507d5114d04a13123ef62b255a61b3c55698
 SHA512 
095be448fb654a32ea45808f03b1a0bffd74ee683448085f1e6f14f054c0d2f19f9048270be4ec7b6a0b46872d20613a36e984a0a137bd68ba3d0a237a83d1b2
 DIST magic_wormhole-0.19.0.tar.gz 304886 BLAKE2B 
1e7f5e39e5307998beea0d67bb44b92dffacb7d2e31e607b88f47ed959e5517ab29d2837ec7f22dfe5a6564b01a50324f6125dda2a5ae0ce7d2135244e3e65e8
 SHA512 
37ef948871c9449c3147d3615619b2c28b7969d020c34a447d8b0c8894a3e4ed64bbe2d3aa53e2c2f1cb80063f9df48866445395332cd29dcd10e4007a3fc375
+DIST magic_wormhole-0.19.1.tar.gz 304136 BLAKE2B 
4bca082b17ec21743c275a721350cd3f8b1e038a66de13bb5986ecaf7db93e5e6c87697bed80a2bcab0085cb80fa2c11a642dcdf99ccb5270ddd7efc29a476a6
 SHA512 
fdd402c9f1c7caa78693557df8922ee39cdcde65daedaaf0c4a8a1065e85a96853684c461ebd9192e654d9d5a03c5d0dfb1b01b35c9bea12938001264f2bf0d5

diff --git a/dev-python/magic-wormhole/magic-wormhole-0.19.1.ebuild 
b/dev-python/magic-wormhole/magic-wormhole-0.19.1.ebuild
new file mode 100644
index 000000000000..2f76304365e4
--- /dev/null
+++ b/dev-python/magic-wormhole/magic-wormhole-0.19.1.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit distutils-r1 pypi shell-completion
+
+DESCRIPTION="Get Things From One Computer To Another, Safely"
+HOMEPAGE="
+       https://magic-wormhole.readthedocs.io/en/latest/
+       https://github.com/magic-wormhole/magic-wormhole/
+       https://pypi.org/project/magic-wormhole/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+       >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+       >=dev-python/autobahn-0.14.1[${PYTHON_USEDEP}]
+       dev-python/automat[${PYTHON_USEDEP}]
+       dev-python/click[${PYTHON_USEDEP}]
+       dev-python/cryptography[${PYTHON_USEDEP}]
+       dev-python/humanize[${PYTHON_USEDEP}]
+       >=dev-python/iterable-io-1.0.0[${PYTHON_USEDEP}]
+       dev-python/noiseprotocol[${PYTHON_USEDEP}]
+       dev-python/pynacl[${PYTHON_USEDEP}]
+       >=dev-python/qrcode-8.0[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+       ~dev-python/spake2-0.9[${PYTHON_USEDEP}]
+       >=dev-python/tqdm-4.13.0[${PYTHON_USEDEP}]
+       dev-python/twisted[ssl,${PYTHON_USEDEP}]
+       >=dev-python/txtorcon-18.0.2[${PYTHON_USEDEP}]
+       >=dev-python/zipstream-ng-1.7.1[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+       dev-python/versioneer[${PYTHON_USEDEP}]
+       test? (
+               dev-python/magic-wormhole-mailbox-server[${PYTHON_USEDEP}]
+               ~dev-python/magic-wormhole-transit-relay-0.3.1[${PYTHON_USEDEP}]
+               dev-python/pytest-twisted[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       distutils-r1_src_prepare
+       rm versioneer.py || die
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # repr() mismatch over different mailbox-server version
+               src/wormhole/test/test_args.py::test_receive_receive
+               src/wormhole/test/test_args.py::test_receive_send
+       )
+
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest -p pytest_twisted
+}
+
+src_install() {
+       distutils-r1_src_install
+
+       newbashcomp "${ED}/usr/wormhole_complete.bash" wormhole
+       newfishcomp "${ED}/usr/wormhole_complete.fish" wormhole.fish
+       newzshcomp "${ED}/usr/wormhole_complete.zsh" _wormhole
+       rm "${ED}/usr"/wormhole_complete* || die
+}

Reply via email to